# norootforbuild
%define pkg_name    php_rrdtool
%define php_version %(php-config --version 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
%define rrd_version %(rrdtool | head -1| awk '{print $2}')
#
BuildPreReq:	coreutils awk rrdtool
Name:		php5-rrdtool
Version:	%{rrd_version}
Release:	8.6
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php-devel rrdtool-devel freetype2-devel libart_lgpl-devel libpng-devel
Requires:	php5 = %{php_version}
#
URL:		http://oss.oetiker.ch/rrdtool/pub/contrib/
Source:		%{pkg_name}.tgz
Patch:		php5-rrdtool-lib64.diff
Summary:	PHP rrdtool integration
%description

%debug_package
%prep
%setup -q -n rrdtool
%ifarch x86_64
%patch
%endif

%{__mkdir} %{name}

%build
%{_bindir}/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure \
--with-rrdtool=%{_usr} \
--with-php-config=%{_bindir}/php-config || cat config.log

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable rrdtool extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/rrdtool.ini
echo 'extension = rrdtool.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/rrdtool.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/rrdtool.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/rrdtool.ini


%changelog -n php5-rrdtool
* Thu Jun 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package build
